Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.reasoner.rulesys
Class RDFSRuleInfGraph

    java.lang.Object
      com.hp.hpl.jena.graph.impl.GraphBase
          com.hp.hpl.jena.reasoner.BaseInfGraph
              com.hp.hpl.jena.reasoner.rulesys.BasicForwardRuleInfGraph
                  com.hp.hpl.jena.reasoner.rulesys.FBRuleInfGraph
                      com.hp.hpl.jena.reasoner.rulesys.RDFSRuleInfGraph

All Implemented Interfaces:
  Graph, GraphAdd, com.hp.hpl.jena.graph.impl.GraphWithPerform, InfGraph, BackwardRuleInfGraphI, ForwardRuleInfGraphI, SilentAddI

    public class RDFSRuleInfGraph

extends FBRuleInfGraph

Customization of the generic rule inference graph for RDFS inference. In fact all the rule processing is unchanged, the only extenstion is the validation support.

Version:
  $Revision: 1.9 $ on $Date: 2008/01/02 12:07:47 $
Author:
  Dave Reynolds

Nested Class Summary

Nested classes/interfaces inherited from class com.hp.hpl.jena.reasoner.rulesys.FBRuleInfGraph
`FBRuleInfGraph.RuleStore`

Nested classes/interfaces inherited from class com.hp.hpl.jena.reasoner.BaseInfGraph
`BaseInfGraph.InfCapabilities, BaseInfGraph.InfFindSafeCapabilities, BaseInfGraph.InfTransactionHandler`

Field Summary

Fields inherited from class com.hp.hpl.jena.reasoner.rulesys.FBRuleInfGraph
`filterFunctors, useRETE`

Fields inherited from interface com.hp.hpl.jena.graph.Graph
`emptyGraph`

Constructor Summary
`RDFSRuleInfGraph(Reasoner reasoner, java.util.List rules, Graph schema)` Constructor.
`RDFSRuleInfGraph(Reasoner reasoner, java.util.List rules, Graph schema, Graph data)` Constructor.

Method Summary
`ValidityReport.Report` | `checkLiteral(Node prop, Node value)` Check a given literal value for a property against the set of known range constraints for it.
`ValidityReport` | `validate()` Test the consistency of the bound data.

Methods inherited from class com.hp.hpl.jena.reasoner.rulesys.FBRuleInfGraph
`accept, addBRule, addBRules, addDeduction, addPreprocessingHook, addRuleDuringPrepare, close, deleteBRule, find, findDataMatches, findDataMatches, findFull, findWithContinuation, getBRules, getNRulesFired, getRules, getTemp, graphBaseFind, hideNode, performAdd, performDelete, prepare, printLPProfile, processBuiltin, rebind, rebindAll, reset, resetLPProfile, setDerivationLogging, setFunctorFiltering, setTabled, setTraceOn, setUseTGCCache`

Methods inherited from class com.hp.hpl.jena.reasoner.rulesys.BasicForwardRuleInfGraph
`constructReifier, getCurrentDeductionsGraph, getDeductionsGraph, getDerivation, getSchemaGraph, graphBaseSize, logDerivation, rebind, setRuleStore, shouldLogDerivations, shouldTrace, silentAdd`

Methods inherited from class com.hp.hpl.jena.reasoner.BaseInfGraph
`cloneWithPremises, find, getBulkUpdateHandler, getCapabilities, getGlobalProperty, getPrefixMapping, getRawGraph, getReasoner, getTransactionHandler, getVersion, graphBaseFind, isEmpty, isPrepared, testGlobalProperty`

Methods inherited from class com.hp.hpl.jena.graph.impl.GraphBase
`add, contains, contains, delete, dependsOn, find, find, forTestingOnly_graphBaseFind, getEventManager, getReifier, getStatisticsHandler, isClosed, isIsomorphicWith, notifyAdd, notifyDelete, queryHandler, size, toString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.hp.hpl.jena.reasoner.rulesys.BackwardRuleInfGraphI
`getVersion, logDerivation`

Methods inherited from interface com.hp.hpl.jena.reasoner.rulesys.SilentAddI
`silentAdd`

Methods inherited from interface com.hp.hpl.jena.reasoner.InfGraph
`find, getDeductionsGraph, getDerivation, getGlobalProperty, getRawGraph, getReasoner, rebind, testGlobalProperty`

Methods inherited from interface com.hp.hpl.jena.graph.Graph
`contains, contains, delete, dependsOn, find, find, getBulkUpdateHandler, getCapabilities, getEventManager, getPrefixMapping, getReifier, getStatisticsHandler, getTransactionHandler, isClosed, isEmpty, isIsomorphicWith, queryHandler, size`

Methods inherited from interface com.hp.hpl.jena.graph.GraphAdd
`add`

Constructor Detail

### RDFSRuleInfGraph

    public RDFSRuleInfGraph(Reasoner reasoner,
                            java.util.List rules,
                            Graph schema)

  Constructor.

  Parameters:
    `reasoner` - the reasoner which created this inf graph instance
    `rules` - the rules to process
    `schema` - the (optional) schema graph to be included

### RDFSRuleInfGraph

    public RDFSRuleInfGraph(Reasoner reasoner,
                            java.util.List rules,
                            Graph schema,
                            Graph data)

  Constructor.

  Parameters:
    `reasoner` - the reasoner which created this inf graph instance
    `rules` - the rules to process
    `schema` - the (optional) schema graph to be included
    `data` - the data graph to be processed

Method Detail

### validate

    public ValidityReport validate()

  Test the consistency of the bound data. For RDFS this checks that all instances of datatype-ranged properties have correct data values.

  Specified by:
    `validate` in interface `InfGraph`
  Overrides:
    `validate` in class `FBRuleInfGraph`
  Returns:
    a ValidityReport structure

### checkLiteral

    public ValidityReport.Report checkLiteral(Node prop,
                                              Node value)

  Check a given literal value for a property against the set of known range constraints for it.

  Parameters:
    `prop` - the property node whose range is under scrutiny
    `value` - the literal node whose value is to be checked
  Returns:
    null if the range is legal, otherwise a ValidityReport.Report which describes the problem.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP